1 Reply Latest reply: Jan 16, 2013 7:53 PM by John Galt
cmoliver Level 1 (0 points)

I am currently running on Snow Leopard, but need Lion for a course I am taking.  It says in the system requirements that it runs on Lion, not Mountain Lion, so I don't want to download Mountain Lion.  I am having a hard time finding where to get Lion 10.7 from.


MacBook, Mac OS X (10.6.8)